### 3.4 `fegetround`—get current rounding direction ¶

Synopsis

    #include <fenv.h>
    int fegetround(void);

    Link with -lm.

Description
This method returns the current rounding direction.

Returns
This method returns the rounding direction, corresponding to the value of the respective rouding macro. If the current rounding direction cannot be determined, then a negative value is returned.

Portability
ANSI C requires `fegetround`.

Not all Newlib targets have a working implementation. Refer to the file `sys/fenv.h` to see the status for your target.